EventPresenter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.event
Interface EventPresenter

All Superinterfaces:
  FilterPresenter

All Known Implementing Classes:
  AbstractEventPresenter, EventListPresenter

    public interface EventPresenter

extends FilterPresenter

An EventPresenter is a empty interface that marks a component to be picked up by the EventPanel.

Field Summary
`static java.lang.String` | `ActiveEventsProperty` A property string to use for PropertyChangeListeners listening for when the presenter's contents have changed, either due to filtering or the availability of new EventHandlers.
`static java.lang.String` | `EventAttributesUpdatedProperty` A property string used when event attributes (ratings, play filter settings) have been changed.
`static java.lang.String` | `SelectedEventsProperty` A property string to use for PropertyChangeListeners interested in knowing what events are currently selected by the user.

Fields inherited from interface com.bbn.openmap.gui.event.FilterPresenter
`FILTER_STATE`

Method Summary
`java.util.Iterator<OMEvent>` | `getActiveEvents()` Return a list of active events.
`java.util.Iterator<OMEvent>` | `getAllEvents()` Return a list of all events.
`java.awt.Component` | `getComponent()`
`DrawingAttributes` | `getSelectionDrawingAttributes()` Return a set of drawing attributes that match what the presenter is using for selection;

Methods inherited from interface com.bbn.openmap.gui.event.FilterPresenter
`addPropertyChangeListener, getActiveFilters, getFilterPanel, getFilters, getName, removePropertyChangeListener, resetFilters`

Field Detail

### ActiveEventsProperty

    static final java.lang.String ActiveEventsProperty

  A property string to use for PropertyChangeListeners listening for when the presenter's contents have changed, either due to filtering or the availability of new EventHandlers.

  See Also:
    Constant Field Values

### SelectedEventsProperty

    static final java.lang.String SelectedEventsProperty

  A property string to use for PropertyChangeListeners interested in knowing what events are currently selected by the user.

  See Also:
    Constant Field Values

### EventAttributesUpdatedProperty

    static final java.lang.String EventAttributesUpdatedProperty

  A property string used when event attributes (ratings, play filter settings) have been changed.

  See Also:
    Constant Field Values

Method Detail

### getComponent

    java.awt.Component getComponent()

  Returns:
    the main event display.

### getActiveEvents

    java.util.Iterator<OMEvent> getActiveEvents()

  Return a list of active events.

### getAllEvents

    java.util.Iterator<OMEvent> getAllEvents()

  Return a list of all events.

### getSelectionDrawingAttributes

    DrawingAttributes getSelectionDrawingAttributes()

  Return a set of drawing attributes that match what the presenter is using for selection;

  Returns:
    DrawingAttributes containing rendering info for selected items.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details